# std::chrono::year_month_weekday_last::ok

From cppreference.com
< cpp‎ | chrono‎ | year month weekday last

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if this object represents a valid date. Since a `year_month_weekday_last` represents the last weekday of a particular month, it is valid as long as the year, month and weekday are valid.

### Return value

year().ok() && month().ok() && weekday().ok()

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year_month_weekday_last/ok&oldid=104829"